Bug 1004915 - htpasswd: BCRYPT algorithm not supported on this platform
htpasswd: BCRYPT algorithm not supported on this platform
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 14:04 EDT by JannikV
Modified: 2014-01-24 06:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 06:46:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JannikV 2013-09-05 14:04:04 EDT
Description of problem:
htpasswd can't hash with bcrypt

Version-Release number of selected component (if applicable):
Fedora 19 (x86_64)
bcrypt 1.1-8.fc19
httpd-tools 2.4.6-2.fc19


Steps to Reproduce:
1. install apache and bcrypt
2. try to use htpasswd with bcrypt


Actual results:

$ yum list bcrypt
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Installed Packages
bcrypt.x86_64                                        1.1-8.fc19                                        @fedora

$ htpasswd -nB yourName
htpasswd: BCRYPT algorithm not supported on this platform


Expected results:

You know what I mean?!
Comment 1 Mat Booth 2013-11-14 10:54:09 EST
I see this too.

It is probably a problem with httpd not compiling in support rather than a problem with bcrypt.

Consider moving the bug to the httpd component.
Comment 2 JannikV 2013-11-14 11:17:17 EST
done
Comment 3 JannikV 2014-01-24 06:46:31 EST
Just tested it again and it works fine now. I'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.